import request from '@/utils/request'

export function listCompanyDomainBind(query) {
  return request({
    url: '/company/companyDomainBind/list',
    method: 'get',
    params: query
  })
}

export function getCompanyDomainBind(id) {
  return request({
    url: '/company/companyDomainBind/' + id,
    method: 'get'
  })
}

export function addCompanyDomainBind(data) {
  return request({
    url: '/company/companyDomainBind',
    method: 'post',
    data: data
  })
}

export function updateCompanyDomainBind(data) {
  return request({
    url: '/company/companyDomainBind',
    method: 'put',
    data: data
  })
}

export function delCompanyDomainBind(id) {
  return request({
    url: '/company/companyDomainBind/' + id,
    method: 'delete'
  })
}

export function exportCompanyDomainBind(query) {
  return request({
    url: '/company/companyDomainBind/export',
    method: 'get',
    params: query
  })
}

export function domainBatchBinding(data) {
  return request({
    url: '/company/companyDomainBind/domainBatchBinding',
    method: 'post',
    data: data
  })
}
